Index: extensions/Photos/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/Photos/language/ru_RU/plugin.lang.php	(revision 8739)
+++ extensions/Photos/language/ru_RU/plugin.lang.php	(revision 8739)
@@ -0,0 +1,73 @@
+<?php
+// common
+$lang['%d new image'] = '%d новая фотография';
+$lang['%d new images'] = '%d новый фотографии';
+$lang['add this image to your favorites'] = 'добавить эту фотографию в избранные';
+$lang['display best rated items'] = 'показать высоко оцененные';
+$lang['display each day with pictures, month per month'] = 'показать календарь с  фотографиями, день за днем, месяц за месяцем';
+$lang['delete this image from your favorites'] = 'удалить эту фотографию из избранных';
+$lang['display my favorites pictures'] = 'показать ваши избранные фотографии';
+$lang['shows images at the root of this album'] = 'показать этот альбом';
+$lang['display most visited pictures'] = 'показать наиболее популярные фотографии';
+$lang['Rate this picture'] = 'Оценить эту фотографию';
+$lang['Random pictures'] = 'Случайные фотографии';
+$lang['display a set of random pictures'] = 'показать ряд случайных фотографий ';
+$lang['Recent pictures'] = 'Недавние фотографии';
+$lang['display most recent pictures'] = 'показать больше свежих фотографий';
+$lang['display only recently posted images'] = 'показать только недавно загруженные фотографии';
+$lang['return to the display of all images'] = 'вернуться к полному списку фотографии';
+$lang['%d image'] = '%d фотография';
+$lang['%d images'] = '%d фотографии';
+$lang['%d image is also linked to current tags'] = '%d фотография также связана с текущими метками';
+$lang['%d images are also linked to current tags'] = '%d фотографии также связаны с текущими метками';
+$lang['See images linked to this tag only'] = 'показать фотографии, связанные с этой меткой';
+$lang['images posted during the last %d days'] = 'фотографии, опубликованный последние %d дней';
+$lang['delete all images from your favorites'] = 'удалить все фотографии из избранных';
+$lang['Complete RSS feed (images, comments)'] = 'Полная RSS лента (фотографии, комментарии)';
+$lang['Image only RSS feed'] = 'RSS лента. Только фотографии.';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'RSS лента позволяет Вам быть в курсе новостей этого веб-сайта: новые фотографии, обновленные альбомы, новые комментарии. Используйте RSS читатель.';
+$lang['Maximum height of the pictures'] = 'Максимальная высота фотографии';
+$lang['Maximum width of the pictures'] = 'Максимальная ширина фотографии';
+$lang['display all elements in all sub-albums'] = 'показать все фотографии во всех вложенных альбомах';
+$lang['The number of images per row must be a not null scalar'] = 'Число фотографий в ряду недолжно быть нулевым';
+$lang['Number of images per row'] = 'Число фотографий в ряду';
+$lang['Elements posted within the last %d day.'] = 'Фотографии, загруженные в течении последнего %d дня.';
+$lang['Elements posted within the last %d days.'] = 'Фотографии, загруженные в течении последних %d дней.';
+$lang['picture'] = 'фотография';
+$lang['Click on the picture to see it in high definition'] = 'Нажмите для просмотра фотографии в большом разрешении';
+
+// admin
+$lang['Edit all picture informations'] = 'Редактировать всю информацию о фотографии';
+$lang['Include display of recent pictures group by dates'] = 'Включить показ недавних фотографий, сгруппированных по датам';
+$lang['Link all album elements to a new album'] = 'Привязать все фотографии альбома к новому альбому';
+$lang['Link all album elements to some existing albums'] = 'Привязать все фотографии альбома к существующим альбомам';
+$lang['Manage image ranks'] = 'Редактировать оценку фотографии';
+$lang['New elements added'] = 'Новые фотографии добавлены';
+$lang['New elements were added'] = 'Были добавлены новые фотографии';
+$lang['No element in this album'] = 'В этом альбоме нет фотографий';
+$lang['Select at least one picture'] = 'Выберите по крайней мере одну фотографию';
+$lang['Update images informations'] = 'Обновить информацию о фотографии';
+$lang['Use the default image sort order (defined in the configuration file)'] = 'Использовать порядок сортировки фотографий по умолчанию (определенный в конфигурационном файле)';
+$lang['add new elements to caddie'] = 'добавить новые фотографии в корзину';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'показать максимум информации (добавленные альбомы и фотографии, удаленные альбомы и фотографии)';
+$lang['elements added in the database'] = 'фотографии добавлены в базу данных';
+$lang['elements deleted in the database'] = 'фотографии удалены из базы данных';
+$lang['elements per page'] = 'фотографий на странице';
+$lang['elements updated in the database'] = 'фотографии обновлены в базе данных';
+$lang['even already synchronized elements'] = 'даже уже просинхронизированные фотографии';
+$lang['first element added on %s'] = 'первая фотография добавлена %s';
+$lang['images candidates for metadata synchronization'] = 'фотографии, предложенные для синхронизации';
+$lang['jump to image'] = 'перейти к фотографии';
+$lang['manage image ranks'] = 'изменить ранг фотографии';
+
+
+$lang['manage album photos'] = 'управлять элементами альбома';
+$lang['synchronize files metadata with database elements informations'] = 'синхронизируйте метаданные файлов с информацией о фотографиях базы данных';
+$lang['elements informations synchronized with files metadata'] = 'информация о фотографиях синхронизировалась с метаданными файлов';
+$lang['number of miniaturized pictures'] = 'число фотографий с миниатюрами';
+$lang['Picture informations updated'] = 'Информация о фотографии обновлена';
+$lang['Picture unreachable or no support'] = 'Фотография недоступна или поддержка не возможна';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'фотографии без миниатюры (только jpeg и png)';
+$lang['Random picture'] = 'Случайная фотография';
+
+?>