Index: extensions/Photos/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8739)
+++ extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8753)
@@ -8,5 +8,5 @@
 $lang['delete this image from your favorites'] = 'supprimer cette photo de vos favoris';
 $lang['display my favorites pictures'] = 'afficher mes photos favorites';
-//$lang['shows images at the root of this album'] = 'display this album';
+$lang['shows images at the root of this album'] = 'montre les photos à la racine de cette album';
 $lang['display most visited pictures'] = 'afficher les photos les plus vues';
 $lang['Rate this picture'] = 'Votez pour cette photo';
@@ -38,15 +38,15 @@
 
 // admin
-//$lang['Edit all picture informations'] = 'Edit photo information';
+$lang['Edit all picture informations'] = 'Modifier toutes les informations liées à cette photo';
 $lang['Include display of recent pictures group by dates'] = "Inclure l'affichage des dernières images groupées par dates";
-//$lang['Link all album elements to a new album'] = 'Link all album photos to a new album';
-//$lang['Link all album elements to some existing albums'] = 'Link all album photos to some existing albums';
+$lang['Link all album elements to a new album'] = 'Associer toutes les photos de l\'album à un nouvel album';
+$lang['Link all album elements to some existing albums'] = 'Associer toutes les photos de l\'album à des albums existants';
 $lang['manage image ranks'] = "gérer l'ordre des images";
-//$lang['New elements added'] = 'New photos added';
-//$lang['New elements were added'] = 'New photos were added';
-//$lang['No element in this album'] = 'No photo in this album';
+$lang['New elements added'] = 'Nouvelles photos ajoutées';
+$lang['New elements were added'] = 'De nouvelles photos ont été ajoutées';
+$lang['No element in this album'] = 'Aucune photos dans cet album';
 $lang['Select at least one picture']= "Sélectionner au moins une image";
-//$lang['Update images informations'] = 'Update photos information';
-//$lang['Use the default image sort order (defined in the configuration file)'] = 'Use the default photo sort order (defined in the configuration file)';
+$lang['Update images informations'] = 'Mettre à jour les informations des photos';
+$lang['Use the default image sort order (defined in the configuration file)'] = 'Utiliser l\'ordre de tri des photoss par défaut (défini dans le fichier de configuration)';
 $lang['add new elements to caddie'] = "Ajouter les nouveaux éléments au panier";
 $lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Afficher un maximum d\'informations (albums ajoutés, photos ajoutées, albums et photos supprimées)';
@@ -57,17 +57,17 @@
 $lang['even already synchronized elements'] = "Même les éléments déjà synchronisés";
 $lang['first element added on %s'] = "premier élément ajouté le %s";
-//$lang['images candidates for metadata synchronization'] = 'photos candidates for metadata synchronization';
+$lang['images candidates for metadata synchronization'] = 'photos candidates à la synchronisation avec les méta-données';
 $lang['jump to image'] = "Se rendre à l'image";
 $lang['Manage image ranks'] = "Gérer l'ordre des images";
 
 
-//$lang['manage album photos'] = 'manage album elements';
-//$lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
-//$lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';
-//$lang['number of miniaturized pictures'] = 'number of miniaturized photos';
-//$lang['Picture informations updated'] = 'Photo informations updated';
-//$lang['Picture unreachable or no support'] = 'Photo unreachable or no support';
-//$lang['pictures without thumbnail (jpeg and png only)'] = 'photos without thumbnail (jpeg and png only)';
-//$lang['Random picture'] = 'Random photo';
+$lang['manage album photos'] = 'Gérer les photos de l\'album';
+$lang['synchronize files metadata with database elements informations'] = 'Synchroniser les informations des photos de la base de données à partir des méta-données des fichiers';
+$lang['elements informations synchronized with files metadata'] = 'informations des photos synchronisées avec les méta-données';
+$lang['number of miniaturized pictures'] = 'nombre de miniatures créées';
+$lang['Picture informations updated'] = 'Informations de la photo mises à jour';
+$lang['Picture unreachable or no support'] = 'Photo inaccessible ou format non supporté';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'photos sans miniature (jpeg et png uniquement)';
+$lang['Random picture'] = 'Image au hasard';
 
 
@@ -90,3 +90,5 @@
 $lang['Picture name: %s'] = 'Nom de la photo : %s';
 $lang['Picture uploaded by %s'] = 'Photo téléchargée par %s';
+$lang['No element in this category']= 'Aucune photos dans cet album';
+$lang['manage category elements'] = 'Gérer les photos de l\'album';
 ?>