Index: extensions/Photos/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Photos/language/es_ES/plugin.lang.php	(revision 8753)
+++ extensions/Photos/language/es_ES/plugin.lang.php	(revision 8755)
@@ -5,8 +5,8 @@
 $lang['add this image to your favorites'] = 'agregar esta foto a sus favoritos';
 $lang['display best rated items'] = 'mostrar las fotos con mejor calificación';
-//$lang['display each day with pictures, month per month'] = 'affichage année par année, mois par mois, jour par jour'; //?
+$lang['display each day with pictures, month per month'] = 'Visualizacíon año por año,  mes por mes, día por dia,';
 $lang['delete this image from your favorites'] = 'Borrar esta foto de sus favoritos';
 $lang['display my favorites pictures'] = 'mostrar mis fotos favoritas';
-//$lang['shows images at the root of this album'] = 'display this album';
+$lang['shows images at the root of this album'] = 'muestra las fotos en el directorio raíz de este àlbum';
 $lang['display most visited pictures'] = 'mostrar las fotos más vistas';
 $lang['Rate this picture'] = 'Votar esta foto';
@@ -15,6 +15,6 @@
 $lang['Recent pictures'] = 'fotos recientes';
 $lang['display most recent pictures'] = 'mostrar las fotos más recientes';
-//$lang['display only recently posted images'] = 'n\'afficher que les photos publiés récemment';
-//$lang['return to the display of all images'] = 'retourner à l\'affichage de toutes les photos';
+$lang['display only recently posted images'] = 'Seleccionar sólo los fotos incorporados recientemente';
+$lang['return to the display of all images'] = 'Volver a mostrar todos los fotos';
 $lang['%d image']='%d Foto';
 $lang['%d images']='%d Fotos';
@@ -29,45 +29,45 @@
 $lang['Maximum height of the pictures'] = 'Altura máxima de las fotos';
 $lang['Maximum width of the pictures'] = 'Ancho máximo de las fotos';
-//$lang['display all elements in all sub-albums'] = 'afficher à plat les photos des albums et des sous-albums';
+$lang['display all elements in all sub-albums'] = 'Ver todas las fotos de los abumes y sub-albumes';
 $lang['The number of images per row must be a not null scalar'] = 'La cantidad de fotos por línea debe ser un número entero superior a cero';
-//$lang['Number of images per row'] = 'Nombre de miniatures par ligne';
-//$lang['Elements posted within the last %d day.'] = 'N\'afficher que les photos récentes de moins de %d jour.';
-//$lang['Elements posted within the last %d days.'] = 'N\'afficher que les photos récentes de moins de %d jours.';
+$lang['Number of images per row'] = 'Número de miniaturas por línea';
+$lang['Elements posted within the last %d day.'] = 'Sólo muestra los fotos incorporadas desde el %d día.';
+$lang['Elements posted within the last %d days.'] = 'Sólo muestra las imágenes incorporadas desde los últimos %d dias.';
 $lang['picture'] = 'Foto';
 $lang['Click on the picture to see it in high definition'] = 'Haga clic en la foto para verla en alta resolución';
 
 // admin
-//$lang['Edit all picture informations'] = 'Edit photo information';
-//$lang['Include display of recent pictures group by dates'] = "Inclure l'affichage des dernières images groupées par dates";
-//$lang['Link all album elements to a new album'] = 'Link all album photos to a new album';
-//$lang['Link all album elements to some existing albums'] = 'Link all album photos to some existing albums';
-//$lang['manage image ranks'] = "gérer l'ordre des images";
-//$lang['New elements added'] = 'New photos added';
-//$lang['New elements were added'] = 'New photos were added';
-//$lang['No element in this album'] = 'No photo in this album';
-//$lang['Select at least one picture']= "Sélectionner au moins une image";
-//$lang['Update images informations'] = 'Update photos information';
-//$lang['Use the default image sort order (defined in the configuration file)'] = 'Use the default photo sort order (defined in the configuration file)';
-//$lang['add new elements to caddie'] = "Ajouter les nouveaux éléments au panier";
-//$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Afficher un maximum d\'informations (albums ajoutés, photos ajoutées, albums et photos supprimées)';
-//$lang['elements added in the database'] = "éléments ajoutés dans la base de données";
-//$lang['elements deleted in the database'] = "éléments supprimés de la base de données";
-//$lang['elements per page'] = "Nombre d'éléments par page à afficher";
-//$lang['elements updated in the database'] = "éléments mis à jour dans la base de données";
-//$lang['even already synchronized elements'] = "Même les éléments déjà synchronisés";
-//$lang['first element added on %s'] = "premier élément ajouté le %s";
-//$lang['images candidates for metadata synchronization'] = 'photos candidates for metadata synchronization';
-//$lang['jump to image'] = "Se rendre à l'image";
-//$lang['Manage image ranks'] = "Gérer l'ordre des images";
+$lang['Edit all picture informations'] = 'Modificar todas las informaciones vinculadas a esta foto';
+$lang['Include display of recent pictures group by dates'] = "Incluir la visualización de las últimas fotos agrupadas por fechas";
+$lang['Link all album elements to a new album'] = 'Asociar todas las fotos del àlbum a un nuevo àlbum';
+$lang['Link all album elements to some existing albums'] = 'Asociar  todas las fotos del àlbum a los àlbumes existantes';
+$lang['manage image ranks'] = "Administrar el orden de las fotos";
+$lang['New elements added'] = 'Nuevas fotos añadidas';
+$lang['New elements were added'] = 'Las nuevas fotos han sido añadidas';
+$lang['No element in this album'] = 'Ningún fotos en este àlbum';
+$lang['Select at least one picture']= "Seleccionar por lo menos una foto";
+$lang['Update images informations'] = 'Actualizar las informaciones de las fotos';
+$lang['Use the default image sort order (defined in the configuration file)'] = 'Utilizar la orden de selección de las fotos por defecto (definido en el fichero de configuración)';
+$lang['add new elements to caddie'] = "añadir las nuevas fotos a la cesta";
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Monstrar todas las informaciones (àlbumes añadidos, fotos añadidas, àlbumes y fotos borrados)';
+$lang['elements added in the database'] = "fotos añadidas a la base de datos";
+$lang['elements deleted in the database'] = "fotos suprimidas de la base de datos";
+$lang['elements per page'] = "Fotos por página";
+$lang['elements updated in the database'] = "Fotos actualizadas en la base de datos";
+$lang['even already synchronized elements'] = "tanbien las fotos ya sincronizadas";
+$lang['first element added on %s'] = "el primer foto añadida %s";
+$lang['images candidates for metadata synchronization'] = 'Fotos candidatas a la sincronización con los méta-datos';
+$lang['jump to image'] = "Ir a la foto";
+$lang['Manage image ranks'] = "Administrar el orden de las fotos";
 
 
-//$lang['manage album photos'] = 'manage album elements';
-//$lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
-//$lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';
-//$lang['number of miniaturized pictures'] = 'number of miniaturized photos';
-//$lang['Picture informations updated'] = 'Photo informations updated';
-//$lang['Picture unreachable or no support'] = 'Photo unreachable or no support';
-//$lang['pictures without thumbnail (jpeg and png only)'] = 'photos without thumbnail (jpeg and png only)';
-//$lang['Random picture'] = 'Random photo';
+$lang['manage album photos'] = 'administrar las fotos del àlbum';
+$lang['synchronize files metadata with database elements informations'] = 'sincronizar las informaciones de las fotos en la base de datos a partir de los méta-datos de los ficheros';
+$lang['elements informations synchronized with files metadata'] = 'Informaciones de las fotos sincronizadas con los méta-datos';
+$lang['number of miniaturized pictures'] = 'número de miniaturas creadas';
+$lang['Picture informations updated'] = 'Informaciones actualizada de la foto';
+$lang['Picture unreachable or no support'] = 'foto inaccesible o no soportada';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'fotos sin miniatura (jpeg y png únicamente)';
+$lang['Random picture'] = 'Al azar foto';
 
 
@@ -89,3 +89,9 @@
 $lang['Picture name: %s'] = 'Título de la foto: %s';
 $lang['Picture uploaded by %s'] = 'foto subida por %s';
+$lang['shows images at the root of this category'] = 'muestra las fotos en el directorio raíz de este àlbum';
+$lang['Link all category elements to a new category'] = 'Asociar  todas las fotos del àlbum a un nuevo àlbum';
+$lang['Link all category elements to some existing categories'] = 'Asociar  todas las fotos del àlbum a los àlbumes existantes';
+$lang['No element in this category'] = 'Ningún fotos en este àlbum';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'Monstrar todas las informaciones (àlbumes añadidos, fotos añadidas, àlbumes y fotos borrados)';
+$lang['manage category elements'] = 'administrar las fotos del àlbum';
 ?>
Index: extensions/Photos/main.inc.php
===================================================================
--- extensions/Photos/main.inc.php	(revision 8753)
+++ extensions/Photos/main.inc.php	(revision 8755)
@@ -32,5 +32,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-add_event_handler('loading_lang', 'overload_image_by_photo');
+add_event_handler('loading_lang', 'overload_image_by_photo',60);
 function overload_image_by_photo()
 {