Index: /trunk/include/config_default.inc.php
===================================================================
--- /trunk/include/config_default.inc.php	(revision 8756)
+++ /trunk/include/config_default.inc.php	(revision 8757)
@@ -602,5 +602,5 @@
 // menubar_tag_cloud_items_number: number of tags to show in the tag
 // cloud in the menubar. Only the most represented tags will be shown
-$conf['menubar_tag_cloud_items_number'] = 100;
+$conf['menubar_tag_cloud_items_number'] = 20;
 
 // content_tag_cloud_items_number: number of related tags to show in the tag
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 8756)
+++ /trunk/themes/default/template/picture.tpl	(revision 8757)
@@ -36,36 +36,36 @@
 <div id="imageToolBar">
 <div class="actionButtons">
-{if isset($U_SLIDESHOW_START)}
+{strip}{if isset($U_SLIDESHOW_START)}
 	<a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 		<span class="pwg-icon pwg-icon-slideshow">&nbsp;</span><span class="pwg-button-text">{'slideshow'|@translate}</span>
 	</a>
-{/if}
-{if isset($U_METADATA)}
+{/if}{/strip}
+{strip}{if isset($U_METADATA)}
 	<a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 		<span class="pwg-icon pwg-icon-camera-info">&nbsp;</span><span class="pwg-button-text">{'Show file metadata'|@translate}</span>
 	</a>
-{/if}
-{if isset($current.U_DOWNLOAD)}
+{/if}{/strip}
+{strip}{if isset($current.U_DOWNLOAD)}
 	<a href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 		<span class="pwg-icon pwg-icon-save">&nbsp;</span><span class="pwg-button-text">{'download'|@translate}</span>
 	</a>
-{/if}
+{/if}{/strip}
 {if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
-{if isset($favorite)}
+{strip}{if isset($favorite)}
 	<a href="{$favorite.U_FAVORITE}" title="{if $favorite.IS_FAVORITE}{'delete this photo from your favorites'|@translate}{else}{'add this photo to your favorites'|@translate}{/if}" class="pwg-state-default pwg-button" rel="nofollow">
 		<span class="pwg-icon pwg-icon-favorite-{if $favorite.IS_FAVORITE}del{else}add{/if}">&nbsp;</span><span class="pwg-button-text">{'Favorites'|@translate}</span>
 	</a>
-{/if}
-{if isset($U_SET_AS_REPRESENTATIVE)}
+{/if}{/strip}
+{strip}{if isset($U_SET_AS_REPRESENTATIVE)}
 	<a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 		<span class="pwg-icon pwg-icon-representative">&nbsp;</span><span class="pwg-button-text">{'representative'|@translate}</span>
 	</a>
-{/if}
-{if isset($U_ADMIN)}
+{/if}{/strip}
+{strip}{if isset($U_ADMIN)}
 	<a href="{$U_ADMIN}" title="{'Modify information'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 		<span class="pwg-icon pwg-icon-edit">&nbsp;</span><span class="pwg-button-text">{'edit'|@translate}</span>
 	</a>
-{/if}
-{if isset($U_CADDIE)}{*caddie management BEGIN*}
+{/if}{/strip}
+{strip}{if isset($U_CADDIE)}{*caddie management BEGIN*}
 {footer_script}
 {literal}function addToCadie(aElement, rootUrl, id)
@@ -86,9 +86,9 @@
 		<span class="pwg-icon pwg-icon-caddie-add">&nbsp;</span><span class="pwg-button-text">{'caddie'|@translate}</span>
 	</a>
-{/if}{*caddie management END*}
+{/if}{/strip}{*caddie management END*}
 </div>
 
 	{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
-</div> <!-- imageToolBar -->
+</div>{*<!-- imageToolBar -->*}
 
 <div id="theImage">
@@ -121,4 +121,5 @@
 
 <table id="standard" class="infoTable">
+{strip}
 	{if $display_info.author}
 	<tr id="Author">
@@ -217,5 +218,5 @@
 			{/if}
 			{/foreach}
-			{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
+			{strip}{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
 			{combine_script id='rating' load='async' require='core.scripts' path='themes/default/js/rating.js'}
 			{footer_script}
@@ -225,4 +226,5 @@
 					ratingSummaryText: "{'%.2f (rated %d times)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary"){rdelim} );
 			{/footer_script}
+			{/strip}
 			</div>
 			</form>
@@ -258,5 +260,5 @@
 	</td></tr>
 {/if}
-
+{/strip}
 </table>
 
Index: /trunk/themes/default/template/picture_nav_buttons.tpl
===================================================================
--- /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 8756)
+++ /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 8757)
@@ -31,5 +31,5 @@
 	</a>
 {/if}
-{if isset($first)}
+{strip}{if isset($first)}
 	<a href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" class="pwg-state-default pwg-button">
 		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
@@ -39,6 +39,6 @@
 		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
 	</span>
-{/if}
-{if isset($previous)}
+{/if}{/strip}
+{strip}{if isset($previous)}
 	<a href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" class="pwg-state-default pwg-button">
 		<span class="pwg-icon pwg-icon-arrow-w">&nbsp;</span><span class="pwg-button-text">{'Previous'|@translate}</span>
@@ -48,5 +48,5 @@
 		<span class="pwg-icon pwg-icon-arrow-w">&nbsp;</span><span class="pwg-button-text">{'Previous'|@translate}</span>
 	</span>
-{/if}
+{/if}{/strip}
 {if isset($slideshow.U_START_PLAY)}
 	<a href="{$slideshow.U_START_PLAY}" title="{'Play of slideshow'|@translate}" class="pwg-state-default pwg-button">
@@ -59,10 +59,10 @@
 	</a>
 {/if}
-{if isset($U_UP) and !isset($slideshow)}
+{strip}{if isset($U_UP) and !isset($slideshow)}
 	<a href="{$U_UP}" title="{'Thumbnails'|@translate}" class="pwg-state-default pwg-button">
 		<span class="pwg-icon pwg-icon-arrow-n">&nbsp;</span><span class="pwg-button-text">{'Thumbnails'|@translate}</span>
 	</a>
-{/if}
-{if isset($next)}
+{/if}{/strip}
+{strip}{if isset($next)}
 	<a href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" class="pwg-state-default pwg-button pwg-button-icon-right">
 		<span class="pwg-icon pwg-icon-arrow-e">&nbsp;</span><span class="pwg-button-text">{'Next'|@translate}</span>
@@ -72,6 +72,6 @@
 		<span class="pwg-icon pwg-icon-arrow-e">&nbsp;</span><span class="pwg-button-text">{'Next'|@translate}</span>
 	</span>
-{/if}
-{if isset($last)}
+{/if}{/strip}
+{strip}{if isset($last)}
 	<a href="{$last.U_IMG}" title="{'Last'|@translate} : {$last.TITLE}" class="pwg-state-default pwg-button pwg-button-icon-right">
 		<span class="pwg-icon pwg-icon-arrowstop-e"></span><span class="pwg-button-text">{'Last'|@translate}</span>
@@ -81,22 +81,18 @@
 		<span class="pwg-icon pwg-icon-arrowstop-e">&nbsp;</span><span class="pwg-button-text">{'Last'|@translate}</span>
 	</span>
-{/if}
+{/if}{/strip}
 {/if}
 </div>
-
-{footer_script}{literal}
-document.onkeydown = function(e)
-{
+{strip}
+{footer_script}
+document.onkeydown = function(e){ldelim}
 	e=e||window.event;
 	if (e.altKey) return true;
-	var target = e.target||e.srcElement;
-	if (target && target.type) return true; //an input editable element
-	var keyCode = e.keyCode||e.which;
-	var docElem = document.documentElement;
-	var url;
-	switch(keyCode) {
-{/literal}
+	var target=e.target||e.srcElement;
+	if (target && target.type) return true;{* an input editable element *}
+	var keyCode=e.keyCode||e.which, docElem=document.documentElement, url;
+	switch(keyCode){ldelim}
 {if isset($next)}
-	case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth)url="{$next.U_IMG}";  break;
+	case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth)url="{$next.U_IMG}"; break;
 {/if}
 {if isset($previous)}
@@ -104,17 +100,17 @@
 {/if}
 {if isset($first)}
-	/*Home*/case 36: if (e.ctrlKey)url="{$first.U_IMG}"; break;
+	{* Home *}case 36: if (e.ctrlKey)url="{$first.U_IMG}"; break;
 {/if}
 {if isset($last)}
-	/*End*/case 35: if (e.ctrlKey)url="{$last.U_IMG}"; break;
+	{* End *}case 35: if (e.ctrlKey)url="{$last.U_IMG}"; break;
 {/if}
 {if isset($U_UP) and !isset($slideshow)}
-	/*Up*/case 38: if (e.ctrlKey)url="{$U_UP}"; break;
+	{* Up *}case 38: if (e.ctrlKey)url="{$U_UP}"; break;
 {/if}
 {if isset($slideshow.U_START_PLAY)}
-	/*Pause*/case 32: url="{$slideshow.U_START_PLAY}"; break;
+	{* Pause *}case 32: url="{$slideshow.U_START_PLAY}"; break;
 {/if}
 {if isset($slideshow.U_STOP_PLAY)}
-	/*Play*/case 32: url="{$slideshow.U_STOP_PLAY}"; break;
+	{* Play *}case 32: url="{$slideshow.U_STOP_PLAY}"; break;
 {/if}
 	}
@@ -123,2 +119,3 @@
 }
 {/footer_script}
+{/strip}