Index: /extensions/lmt/language/ar_SA/description.txt
===================================================================
--- /extensions/lmt/language/ar_SA/description.txt	(revision 8766)
+++ /extensions/lmt/language/ar_SA/description.txt	(revision 8766)
@@ -0,0 +1,1 @@
+اضافة رخصة الى الصورة
Index: /extensions/lmt/language/ar_SA/index.php
===================================================================
--- /extensions/lmt/language/ar_SA/index.php	(revision 8766)
+++ /extensions/lmt/language/ar_SA/index.php	(revision 8766)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lmt/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/lmt/language/ar_SA/plugin.lang.php	(revision 8766)
+++ /extensions/lmt/language/ar_SA/plugin.lang.php	(revision 8766)
@@ -0,0 +1,171 @@
+<?php
+
+$lang['example'] = 'اعرض مثال';
+$lang['lmt_action'] = 'اجراءات';
+$lang['lmt_add'] = 'اضافة';
+$lang['lmt_add_author'] = 'اضافة مؤلف';
+$lang['lmt_add_licence_ko'] = 'لايمكن  اضافة الرخصة الى الاشياء المختارة';
+$lang['lmt_add_licence_ok'] = 'تم اضافة الرخصة الى الاشياء المختارة';
+$lang['lmt_add_to_caddie'] = 'اضافة الى السلة';
+$lang['lmt_apply'] = 'تطبيق';
+$lang['lmt_apply_do_clear'] = 'تطبيق الرخصة وافراغ السلة';
+$lang['lmt_apply_do_clear_selected'] = 'تطبيق الرخصة ومسح المختار من السلة';
+$lang['lmt_apply_do_nothing'] = 'تطبيق الرخصة ولا تعدل على السلة';
+$lang['lmt_author'] = 'المؤلف';
+$lang['lmt_author_added'] = 'تم اضافة المؤلف';
+$lang['lmt_author_deleted'] = 'تم حذف المؤلف';
+$lang['lmt_author_modified'] = 'تم تعديل المؤلف';
+$lang['lmt_author_nb_images_updated'] = 'الصورة المتصلة بهذا المؤلف تم تحديثها';
+$lang['lmt_author_nfo'] = 'عندما يتم وضع شعار  على عرض صفحة، من الممكن تحديد صاحب الترخيص الذي يحمل حقوق.';
+$lang['lmt_author_one_image_updated'] = 'الصورة المتصلة بهذا المؤلف تم تحديثها';
+$lang['lmt_author_title'] = 'قائمة المؤلفون';
+$lang['lmt_author_txt1'] = 'النص الاول';
+$lang['lmt_author_txt2'] = 'النص الثاني';
+$lang['lmt_authoradd_title'] = 'اضافة مؤلف';
+$lang['lmt_authormodify_title'] = 'تعديل مؤلف';
+$lang['lmt_bydefault'] = 'تطبيق الرخصة الافتراضية';
+$lang['lmt_caddie_is_empty_please_fill_it'] = 'التطبيق يتم الترخيص مع محتويات الرخصة. لسوء الحظ، فإنها فارغة ...';
+$lang['lmt_caddie_items'] = 'المواد في السلة';
+$lang['lmt_caddie_not_updated'] = 'السلة لا يمكن تحديثها';
+$lang['lmt_caddie_updated'] = 'السلة تم تحديثها';
+$lang['lmt_cancel'] = 'الغاء';
+$lang['lmt_cannot_add_author'] = 'لا يمكن اضافة المؤلف';
+$lang['lmt_cannot_delete_author'] = 'لا يمكن حذف المؤلف';
+$lang['lmt_cannot_modify_author'] = 'لا يمكن تغيير المؤلف';
+$lang['lmt_category'] = 'التصنيف';
+$lang['lmt_cc-all'] = 'كل الرخص';
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_cfg_licence_activated'] = 'فعل تنظيم الرخصة';
+$lang['lmt_cfg_licence_default'] = 'الاختيار يطبق حسب الافتراضي';
+$lang['lmt_cfg_licence_default_author'] = 'اختيار مؤلف الرخصة حسب الافتراضي';
+$lang['lmt_cfg_licence_logo'] = 'نوع اللوجو المعروض';
+$lang['lmt_cfg_licence_visible'] = 'الرخصة دائما معروضة حتى لو كانت الافتراضية';
+$lang['lmt_cfg_list_maxheight'] = 'اقصى ارتفاع للقائمة';
+$lang['lmt_cfg_list_maxitems'] = 'اقصى عدد للمواد المعروضة';
+$lang['lmt_cfg_warning_link'] = 'تشغيل التفعيل';
+$lang['lmt_cfg_warning_texts'] = 'نص النهاية';
+$lang['lmt_cfg_warning_visible'] = 'مشاهدة الرخص المطبفة افتراضيا في قاع الصفحة';
+$lang['lmt_choose_select'] = '&lt;Select&gt;';
+$lang['lmt_clear_caddie_ko'] = 'السلة لا يمكن ان تفرغ';
+$lang['lmt_clear_caddie_ok'] = 'السلة فرغت';
+$lang['lmt_clear_si_caddie_ko'] = 'لايمكن حذف المختار من السلة';
+$lang['lmt_clear_si_caddie_ok'] = 'يمكن حذف المختار من السلة';
+$lang['lmt_config'] = 'الاعدادت';
+$lang['lmt_def_--'] = 'العمل يمكن استخدامه بحرية، وجائزة لمؤلفه ب نقل اسمه';
+$lang['lmt_def_nc'] = 'قرر صاحب الحق السماح لجميع أنواع استخدام أو تقييد استخدام غير التجاري (الاستخدامات التجارية تظل خاضعة لل إذن).';
+$lang['lmt_def_nd'] = ' صاحب الحق لا يزال يحتفظ الحق في إنشاء أعمال اشتقاقية أو أن تأذن مقدما  في التغييرات ، ترجمة ...';
+$lang['lmt_def_sa'] = 'إمكانية الإذن مسبقا يمكن أن تؤدي التغيرات ركب متطلبات أعمال مشتقة إلى أن تقدم للجمهور مع نفس الحريات (نفس الخيارات في إطار جميل) .';
+$lang['lmt_delete'] = 'حذف';
+$lang['lmt_display_config'] = 'خيارات العرض';
+$lang['lmt_do_save'] = 'حفظ الاعدادات';
+$lang['lmt_dontapply_do_clear_selected'] = 'حذف الرخصة مع عدم تطبيق الى ما في السلة';
+$lang['lmt_error_on_image_author'] = 'حدوث مشكلة عند تحديث العناصر التي تعلق على الكاتب المحذوف';
+$lang['lmt_four_way'] = 'المفاهيم الاربعة';
+$lang['lmt_general_config'] = 'خيارات عامة';
+$lang['lmt_general_text'] = '[logo=80x15]وسائل الإعلام من هذا الموقع تخضع لحقوق التأليف والنشر، ما لم يتبين خلاف ذلك، وزعت تحت الترخيص[text=logo]';
+$lang['lmt_help'] = 'مساعدة';
+$lang['lmt_help_config'][1] = 'اعتمادا على عدد من العناصر مع عدد الترخيص أو عدد العناصر الموجودة في العلبة الخاصة بك ، حجم سوف تغير مساحة العرض. وثمة مجال عرض أيضا يمكن أن تقلل من كبير راحة من قراءة الصفحة. <br>هذه المعلمة يستخدم لإجبار أقصى ارتفاع من ناحية العرض.';
+$lang['lmt_help_config'][2] = 'تنتخب أم لا إدارة التراخيص. مقارنة لتعطيل تماما البرنامج المساعد ، ويسمح هذا الخيار لتعطيل إدارة الترخيص على الجزء العلني من موقع في حين الإبقاء على إدارة البرنامج المساعد النشط.';
+$lang['lmt_help_config'][3] = 'هذا الخيار سيتم عرض دائما الترخيص للعنصر، حتى لو كان افتراضيا ترخيص يتم تعيينه. <br>إذا لم يتم تفعيل هذا الخيار، سيتم عرض الرخصة فقط لعناصر بترخيص خاص.';
+$lang['lmt_help_config'][4] = 'هذا الخيار يسمح لك لتحديد وسيتم تطبيق الترخيص الافتراضي للعناصر التي لا ترخيص وقد تأثر.';
+$lang['lmt_help_config'][5] = 'هذا الخيار يسمح لك باختيار ما إذا كان لعرض أو عدم الترخيص افتراضيا على كافة الصفحات (سيظهر في تذييل).';
+$lang['lmt_help_config'][6] = 'إذا مكن، وشعار يدل على الترخيص ارتباط تشعبي إعادة توجيه المستخدم إلى صفحة شرح في أكثر بالتفصيل ظروف التشغيل في هذا البند.';
+$lang['lmt_help_config'][7] = 'النص الترخيص المعروضة في أسفل من الصفحة يتم تغيير وفقا لاحتياجاتك. <br> فمن الممكن عرض العناصر في تلقائيا: <br> <b>[logo=80x15]</b> ادخل 80x15 شعار الترخيص الافتراضي <br> <b>[logo=88x31]</b> ادخل 88x31 شعار الترخيص الافتراضي<br> <b>[logo=text]</b>إدراج نص الترخيص الافتراضي';
+$lang['lmt_help_config'][8] = 'هذا الخيار يسمح لك لتحديد الكاتب الذي سيكون المخصصة لترخيص استخدام افتراضيا.';
+$lang['lmt_help_config'][9] = 'هذا الخيار يسمح لك باختيار عدد العناصر المعروضة في كل صفحة.';
+$lang['lmt_icon_80x15'] = '80x15 ايقونة';
+$lang['lmt_icon_88x31'] = '88x31 ايقونة';
+$lang['lmt_icon_text'] = 'النص';
+$lang['lmt_image'] = 'الصورة';
+$lang['lmt_lbl_cc-by'] = ' منسوب';
+$lang['lmt_lbl_cc-by-nc'] = '# منسوب, غير تجاري';
+$lang['lmt_lbl_cc-by-nc-nd'] = '# منسوب, غير تجاري, لا أعمال مشتقة';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'الإسناد، غير التجارية، المشاركة على قدم المساواة';
+$lang['lmt_lbl_cc-by-nd'] = 'الإسناد، ولا أعمال المشتقة';
+$lang['lmt_lbl_cc-by-sa'] = 'الإسناد، المشاركة على قدم المساواة';
+$lang['lmt_lbl_cc-cleft'] = 'حقوق متروكة';
+$lang['lmt_lbl_cc-cright'] = 'حقوق الطبع والنشر';
+$lang['lmt_lbl_cc-default'] = 'رخصة افتراضيا';
+$lang['lmt_lbl_cc_s-by'] = 'اصدر من ';
+$lang['lmt_lbl_cc_s-by-nc'] = 'اصدر من BY-NC';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'اصدر من BY-NC-ND';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'اصدر من BY-NC-SA';
+$lang['lmt_lbl_cc_s-by-nd'] = 'اصدر من BY-ND';
+$lang['lmt_lbl_cc_s-by-sa'] = 'اصدر من BY-SA';
+$lang['lmt_lbl_cc_s-cleft'] = 'حقوق متروكة';
+$lang['lmt_lbl_cc_s-cright'] = '© حقوق الطبع والنشر';
+$lang['lmt_lbl_cc_s-default'] = ' - ';
+$lang['lmt_lbl_under-by'] = 'نشرت تحت ترخيص';
+$lang['lmt_lbl_under-by-nc'] = 'نشرت تحت ترخيص';
+$lang['lmt_lbl_under-by-nc-nd'] = 'نشرت تحت ترخيص';
+$lang['lmt_lbl_under-by-nc-sa'] = 'نشرت تحت ترخيص';
+$lang['lmt_lbl_under-by-nd'] = 'نشرت تحت ترخيص';
+$lang['lmt_lbl_under-by-sa'] = 'نشرت تحت ترخيص';
+$lang['lmt_lbl_under-cleft'] = 'نشرت تحت ترخيص';
+$lang['lmt_lbl_under-cright'] = '';
+$lang['lmt_lbl_under-default'] = '';
+$lang['lmt_licence'] = 'الرخصة';
+$lang['lmt_licence_config'] = 'تنظيم الرخصة';
+$lang['lmt_licence_to_apply'] = 'اختيار الرخصة';
+$lang['lmt_list'] = 'الصور المرخصة';
+$lang['lmt_lst_apply_filter'] = 'مرشح';
+$lang['lmt_lst_default_licence'] = 'الصور المنشورة هي افتراضيا بموجب الترخيص التالي';
+$lang['lmt_lst_nb_photos'] = 'الصور';
+$lang['lmt_lst_special_licence'] = 'الصور المنشورة هي مرخصة';
+$lang['lmt_manage'] = 'إدارة المهام';
+$lang['lmt_manageaut'] = 'تنظيم المؤلفين';
+$lang['lmt_modify'] = 'تعديل';
+$lang['lmt_name'] = 'الاسم';
+$lang['lmt_nav_first'] = 'الاول';
+$lang['lmt_nav_last'] = 'الاخير';
+$lang['lmt_nav_next'] = 'التالي';
+$lang['lmt_nav_prev'] = 'السابق';
+$lang['lmt_nb_author_one'] = 'مؤلف  واحد وضع';
+$lang['lmt_nb_author_zero'] = 'لم يوضع اية مؤلف';
+$lang['lmt_nb_authors'] = 'وضع مؤلفون';
+$lang['lmt_no_author'] = '&lt;لا مؤلف&gt;';
+$lang['lmt_no_element_selected'] = 'ليس هنالك اي اختيار !';
+$lang['lmt_no_text'] = 'لم يعبئ اي نص!';
+$lang['lmt_nofilter'] = 'كل الرخص';
+$lang['lmt_official_website'] = 'الموقع الرسمي للأصدار';
+$lang['lmt_redirect_config'] = 'التحويلات';
+$lang['lmt_redirect_urls'] = 'تحويلات الرابط';
+$lang['lmt_release'] = 'r';
+$lang['lmt_replace_caddie'] = 'افرغ السلة واضف العنصر';
+$lang['lmt_save_config'] = 'الاعدادات حفظت';
+$lang['lmt_select_all'] = 'الكل';
+$lang['lmt_select_invert'] = 'العكس';
+$lang['lmt_select_none'] = 'لا شيء';
+$lang['lmt_six_licences'] = 'الرخص الستة';
+$lang['lmt_title'] = 'اداة تنظيم الرخصةس';
+$lang['lmt_warning_config'] = 'تذييل النص إدارة';
+$lang['lmt_warning_texts_help'] = '';
+$lang['lmt_way_--'] = ' منسوب';
+$lang['lmt_way_nc'] = 'لا استخدام التجاري';
+$lang['lmt_way_nd'] = 'لا مشتقات';
+$lang['lmt_way_sa'] = 'المشاركة على قدم المساواة';
+$lang['lmt_whatisit'] = 'ما هو <i>الاصدار من?</i>';
+$lang['lmt_whatisit_def1'] = 'الأنجستروم هو غير ربحية المنظمة التي توفر عقود مرنة، خالية من حقوق الطبع والنشر ل توزيع الابداعات الخاصة بك. ينطبق على الصور الخاصة بك (أو وسائل الإعلام الأخرى التي وضع على الانترنت) هذه العقود تسمح لأحد دون الحاجة إلى استخدام يسعى بصورة منتظمة للحصول على تصريح.';
+$lang['lmt_whatisit_def2'] = 'هناك 6 التراخيص والتي تقوم على 4 المبادئ التي تحدد شروط الاستخدام.';
+$lang['lmt_yesno_n'] = 'لا';
+$lang['lmt_yesno_y'] = 'نعم';
+
+//1.1.0
+$lang["lmt_help_config"][10] = "إذا تفعيلها، وأشار إلى الصفحة التي والارتباط التشعبي في فتح نافذة جديدة.";
+$lang["lmt_cfg_warning_target"] = "قوة فتح الصفحة في نافذة جديدة";
+
+// 1.2.0
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'لتثبيت هذا البرنامج المساعد ، وتحتاج إلى تثبيت البرنامج المساعد Grum فئات %s قبل';
+
+// 1.3.0
+$lang['lmt_add_licence_type'] = "اضافة نوع الرخصة";
+$lang['lmt_choose_licence_type'] = "اختيار نوع الرخصة";
+$lang['lmt_search'] = "بحث";
+$lang['lmt_search_by_licence'] = "بحث صور بموجب ترخيص";
+$lang['lmt_licence_type']="نوع الرخصة";
+$lang['lmt_ok']="جاهز";
+$lang['lmt_search_pictures_with_licence_1']="بحث صور بموجب ترخيص:";
+$lang['lmt_search_pictures_with_licence_n']="البحث تحت واحدة من الصور أطروحات التراخيص:";
+$lang['lmt_error_num_items']="على الأقل ، يجب تحديد ترخيص واحد";
+
+?>