Index: /extensions/Photos/language/lv_LV/description.txt
===================================================================
--- /extensions/Photos/language/lv_LV/description.txt	(revision 8767)
+++ /extensions/Photos/language/lv_LV/description.txt	(revision 8767)
@@ -0,0 +1,1 @@
+Pārsaukt (attēlu) "image" vai (bilde) "picture" par (foto) "photo" 
Index: /extensions/Photos/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Photos/language/lv_LV/plugin.lang.php	(revision 8767)
+++ /extensions/Photos/language/lv_LV/plugin.lang.php	(revision 8767)
@@ -0,0 +1,73 @@
+<?php
+// common
+$lang['%d new image'] = '%d jauns foto';
+$lang['%d new images'] = '%d jauni foto';
+$lang['add this image to your favorites'] = 'pievienot šo foto pie jūsu favorītiem';
+$lang['display best rated items'] = 'parādīt visaugstāk novērtētos foto';
+$lang['display each day with pictures, month per month'] = 'rādīt katru dienu ar fotogrāfijām mēnesi pēc mēneša';
+$lang['delete this image from your favorites'] = 'dzēst šo foto no jūsu favorītiem';
+$lang['display my favorites pictures'] = 'rādīt jūsu iemīļotos fotoattēlus (favorītus)';
+$lang['shows images at the root of this album'] = 'rādīt šo albūmu';
+$lang['display most visited pictures'] = 'parādīt visapmeklētākos fotoattēlus';
+$lang['Rate this picture'] = 'Vērtēt šo foto';
+$lang['Random pictures'] = 'Gadījuma fotoattēli';
+$lang['display a set of random pictures'] = 'rādīt gadījuma attēlu kopumu';
+$lang['Recent pictures'] = 'Jaunākie foto';
+$lang['display most recent pictures'] = 'rādīt visjaunākos fotoattēlus';
+$lang['display only recently posted images'] = 'rādīt tikai tagad ievietotos fotoattēlus';
+$lang['return to the display of all images'] = 'atgriezties pie visu foto rādīšanas režīma';
+$lang['%d image'] = '%d foto';
+$lang['%d images'] = '%d foto';
+$lang['%d image is also linked to current tags'] = '%d fotogrāfija ir sasaistīts arī ar tekošo cilmi (iezīmi)';
+$lang['%d images are also linked to current tags'] = '%d fotogrāfijas ir sasaistītas arī ar tekošām cilmēm';
+$lang['See images linked to this tag only'] = 'rādīt fotogrāfijas, kas saistītas ar šo cilmi';
+$lang['images posted during the last %d days'] = 'pēdējo %d dienu laikā ievietotie foto';
+$lang['delete all images from your favorites'] = 'dzēst visus fotoattēlus no favorītiem';
+$lang['Complete RSS feed (images, comments)'] = 'Pilnīga RSS padeve (foto, komentāri)';
+$lang['Image only RSS feed'] = 'foto tikai ar RSS padevi';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'RSS paziņojumu kanāls sniedz paziņojumus šis vietnes jaunumiem: jauni foto, atjaunināti albūmi, jauni komentāri. Lietot RSS piegādes kanāla lasītāju.';
+$lang['Maximum height of the pictures'] = 'Maksimālais foto augstums';
+$lang['Maximum width of the pictures'] = 'Maksimālais foto platums';
+$lang['display all elements in all sub-albums'] = 'rādīt visus apakšalbūmu (sub-albums) attēlus';
+$lang['The number of images per row must be a not null scalar'] = 'Foto skaits rindā nedrīkst būt nulle skalārs lielums';
+$lang['Number of images per row'] = 'Foto skaits rindā';
+$lang['Elements posted within the last %d day.'] = 'Pēdējās %d dienas laikā atsūtītie foto.';
+$lang['Elements posted within the last %d days.'] = 'Pēdējo %d dienu laikā atsūtītie foto.';
+$lang['picture'] = 'foto';
+$lang['Click on the picture to see it in high definition'] = 'Klikšķināt uz foto, lai redzētu to lielā izšķirtspējā';
+
+// admin 
+$lang['Edit all picture informations'] = 'Rediģēt informāciju par foto';
+$lang['Include display of recent pictures group by dates'] = 'Rādīt jaunākos foto, sagrupētus pēc datumiem';
+$lang['Link all album elements to a new album'] = 'Sasaistīt visus albūma fotoattēlus ar jaunu albūmu';
+$lang['Link all album elements to some existing albums'] = 'Sasaistīt visus albūma fotoattēlus ar jau esošiem albūmiem';
+$lang['Manage image ranks'] = 'Pārvaldīt foto vērtējumus';
+$lang['New elements added'] = 'Pievienoti jauni fotoattēli';
+$lang['New elements were added'] = 'Tika pievienoti jauni fotoattēli';
+$lang['No element in this album'] = 'Šajā albūmā nav neviena foto';
+$lang['Select at least one picture'] = 'Atlasiet vizmaz vienu foto';
+$lang['Update images informations'] = 'Atjaunināt informāciju par fotoattēliem';
+$lang['Use the default image sort order (defined in the configuration file)'] = 'Lietot foto kārtošanu pēc noklusējuma (definēts konfigurācijas failā)';
+$lang['add new elements to caddie'] = 'pievienot jaunus fotoattēlus grozam';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'parādīt maksimālo informāciju (pievienotie albūmi un foto, izdzēstie albūmi un foto)';
+$lang['elements added in the database'] = 'datubāzei pievienotie fotoattēli';
+$lang['elements deleted in the database'] = 'no datu bāzes izdzēstie fotoattēli';
+$lang['elements per page'] = 'foto skaits lapā';
+$lang['elements updated in the database'] = 'datubāzē atjauninātie fotoattēli';
+$lang['even already synchronized elements'] = 'jau sinhronizētie fotoattēli';
+$lang['first element added on %s'] = 'pirmais %s pievienotais foto';
+$lang['images candidates for metadata synchronization'] = 'foto kandidāti metadatu sinhronizācijai';
+$lang['jump to image'] = 'iet uz foto';
+$lang['manage image ranks'] = 'pārvaldīt foto vērtējumus';
+
+
+$lang['manage album photos'] = 'pārvaldīt albūmu elementus';
+$lang['synchronize files metadata with database elements informations'] = 'sinhronizēt faila metadatus ar informāciju par foto datubāzē';
+$lang['elements informations synchronized with files metadata'] = 'informācija par foto sinhronizēta ar faila metadatiem';
+$lang['number of miniaturized pictures'] = 'miniaturizēto foto skaits';
+$lang['Picture informations updated'] = 'Informācija par foto atjaunināta';
+$lang['Picture unreachable or no support'] = 'foto nesasniedzams vai bez atbalsta';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'fotoattēli bez sīkbildēm (tikai jpeg un png)';
+$lang['Random picture'] = 'Gadījuma foto'; 
+
+?>