Index: /extensions/Piwecard/language/en_UK/description.txt
===================================================================
--- /extensions/Piwecard/language/en_UK/description.txt	(revision 8775)
+++ /extensions/Piwecard/language/en_UK/description.txt	(revision 8775)
@@ -0,0 +1,1 @@
+﻿Generate eCard
Index: /extensions/Piwecard/language/en_UK/index.php
===================================================================
--- /extensions/Piwecard/language/en_UK/index.php	(revision 8775)
+++ /extensions/Piwecard/language/en_UK/index.php	(revision 8775)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Piwecard/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 8775)
+++ /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 8775)
@@ -0,0 +1,104 @@
+<?php
+/*
+ * Plugin Name: Piwecard
+ * File :  plugin.lang.php
+* Lang : EN
+ */
+
+
+$lang['ecard']							= 'Piwecard';
+$lang['ecard_infos']	 				= 'Detail of eCard';
+$lang['ecard_from']						= 'From';
+$lang['ecard_to']						= 'To';
+
+
+
+// ecart.tpl
+$lang['ecard_send']						= 'Send';
+$lang['ecard_cancel']					= 'Cancel';
+$lang['ecard_activ_choice']				= 'Validity';
+$lang['ecard_send_method']				= 'Send method';
+$lang['ecard_maillink']					= 'Mail with link';
+$lang['ecard_mailhtml']					= 'Complet Mail with photo';
+$lang['ecard_send_copy']				= 'Receive a copy';
+
+
+$lang['ecard_send_stage1']				= 'Stage 1 : Write your message';
+$lang['ecard_send_stage2']				= 'Stage 2 : Edit Informations';
+$lang['ecard_send_stage3']				= 'Stage 3 : Options';
+$lang['ecard_send_stage4']				= 'Stage 4 : Send the eCard !';
+
+$lang['ecard_send_title']				= 'eCard Title ';
+$lang['ecard_send_message']				= 'eCard Message';
+$lang['ecard_send_exp']					= 'Sender';
+$lang['ecard_send_dest']				= 'Receiver';
+$lang['ecard_send_link1']				= 'To Send an eCard';
+$lang['ecard_send_link2']				= 'Click here';
+$lang['ecard_send_link3']				= 'Creating your personalized eCard';
+
+$lang['ecard_send_exp_name']			= 'Sender Name';
+$lang['ecard_send_exp_mail']			= 'Sender Mail';
+$lang['ecard_send_dest_name']			= 'Receiver Name';
+$lang['ecard_send_dest_mail']			= 'Receiver Mail (dest@dest.com)';
+
+
+// publish.tpl
+$lang['ecard_invalid_ecard']			= 'Invalid or expired eCard';
+$lang['ecard_publish_bottom']			= 'This eCard was sent by ';
+
+// Admin
+$lang['ecard_admin_saveOK']				= 'Config saved';
+
+$lang['ecard_management']				= 'Piwecard Management';
+$lang['ecard_manage']					= 'Parameters for this function on gallery';
+$lang['ecard_active_user_cat']			= 'Activate this function only on user or categories belong to users (based on author or category name)';
+$lang['ecard_active_spec_cats']			= 'Activate this function on selected categories';
+$lang['ecard_active_all_cats']			= 'Activate this function on all categories';
+$lang['ecard_recursiv']					= 'Activate recursivity';
+$lang['ecard_cat']						= 'Choose Categories (Only if "all categories" is unselected)';
+$lang['ecard_authorized_group']			= 'Group parameters'; 
+$lang['ecard_authorized_group_info']	= 'None checked ==> Allowed for all users'; 
+$lang['ecard_manage']					= 'Choice';
+
+$lang['ecard_params']					= 'Parameters';
+$lang['ecard_config']					= 'Standard config';
+
+$lang['ecard_activ_nb']					= 'Nb of days (default) for valid eCard';
+$lang['ecard_days']						= 'days';
+$lang['ecard_nolimit']					= 'Unlimited';
+
+$lang['ecard_nomodif_expmail']			= 'Allow sender mail modification by user';
+$lang['ecard_send_HTML']				= 'Allow send mail with photo (otherwise, only link is sent)';
+$lang['ecard_show_infos']				= 'Show informations under the photos (name and author)';
+$lang['ecard_admin_nb_page']			= 'Nb of eCard in list tab';
+$lang['ecard_mail_config']				= 'Parameter for mail sent';
+$lang['ecard_subject_link']				= 'Mail subject';
+$lang['ecard_message_link']				= 'Message sent (mail for link mode only)';
+$lang['ecard_message_html']				= 'Message sent (mail HTML with photo)';
+$lang['ecard_parameters']			= 
+'<b><u>Paramètres </u></b>:<br> 
+<b>%votrenom</b>    ==> Sender name<br>
+<b>%votremail</b>   ==> Sender Mail<br>
+<b>%sonnom</b>      ==> Receiver Name<br>
+<b>%sonmail</b>     ==> Receiver Mail<br>
+<b>%site</b>        ==> Site Name (Piwigo standard config)<br>
+<b>%linksite</b>    ==> Site link (Piwigo standard config)<br>
+<b>%chemin</b>      ==> Link to eCard page<br>
+<b>%sujet</b>       ==> eCard Subject (write by user)<br>
+<b>%message</b>     ==> eCard Message (write by user)<br>
+<b>%imgurl</b>      ==> Link to photo<br>
+<b>%imginfos</b>    ==> Photo Informations (name and author)';
+
+$lang['ecard_consult']					= 'List';
+$lang['ecard_consult_detail']			= 'List of eCard';
+$lang['ecard_list']						= 'Liste of eCard sent';
+$lang['ecard_delete_all']				= 'Delete all expired eCard?';
+$lang['valid']							= 'Valid';
+$lang['total']							= 'Total';
+$lang['ecard_force_delete']				= 'Delete (force) this eCard?';
+$lang['ecard_delete']					= 'Delete this eCard?';
+
+$lang['ecard_admin_submit']				= 'Save';
+
+
+?>
Index: /extensions/Piwecard/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 8774)
+++ /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 8775)
@@ -68,5 +68,5 @@
 $lang['ecard_nolimit']					= 'Illimité';
 
-$lang['ecard_nomodif_expmail']			= 'Interdire la modification du mail de l\'émetteur';
+$lang['ecard_nomodif_expmail']			= 'Autoriser la modification du mail de l\'émetteur';
 $lang['ecard_send_HTML']				= 'Autoriser l\'envoi de mail avec photo (sinon uniquement lien transmis)';
 $lang['ecard_show_infos']				= 'Affichers les informations {nom et auteur} sous la photo';