Index: /extensions/Photos/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Photos/language/de_DE/plugin.lang.php	(revision 8777)
+++ /extensions/Photos/language/de_DE/plugin.lang.php	(revision 8777)
@@ -0,0 +1,73 @@
+<?php
+// common
+$lang['%d new image'] = '%d neues Foto';
+$lang['%d new images'] = '%d neue Fotos';
+$lang['add this image to your favorites'] = 'füge dieses Foto den Favoriten hinzu';
+$lang['display best rated items'] = 'zeige die am besten bewerteten Fotos';
+$lang['display each day with pictures, month per month'] = 'zeige jeden Tag mit Fotos. Monat für Monat';
+$lang['delete this image from your favorites'] = 'lösche dieses Foto von den Favoriten';
+$lang['display my favorites pictures'] = 'zeige die Favoriten-Fotos';
+$lang['shows images at the root of this album'] = 'zeige dieses Album';
+$lang['display most visited pictures'] = 'zeige die meistbesuchten Fotos';
+$lang['Rate this picture'] = 'Bewerte dieses Foto';
+$lang['Random pictures'] = 'Zufälliges Foto';
+$lang['display a set of random pictures'] = 'zeige einen Satz von zufälligen Fotos';
+$lang['Recent pictures'] = 'Letzte Fotos';
+$lang['display most recent pictures'] = 'zeige das letzte Foto';
+$lang['display only recently posted images'] = 'zeige nur kürzlich hochgeladene Fotos';
+$lang['return to the display of all images'] = 'zurück zu allen Fotos';
+$lang['%d image'] = '%d Foto';
+$lang['%d images'] = '%d Fotos';
+$lang['%d image is also linked to current tags'] = '%d Foto ist auch mit dem gegenwärtigen Tag verbunden';
+$lang['%d images are also linked to current tags'] = '%d Fotos sind auch mit den gegenwärtigen Tags verbunden';
+$lang['See images linked to this tag only'] = 'Zeige Fotos verbunden mit diesem Tag';
+$lang['images posted during the last %d days'] = 'Fotos hochgeladen während der letzten %d Tage';
+$lang['delete all images from your favorites'] = 'lösche alle Fotos von der Favoritenliste';
+$lang['Complete RSS feed (images, comments)'] = 'Vollständiger RSS feed (Fotos, Kommentare)';
+$lang['Image only RSS feed'] = 'Nur Foto RSS feed';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'Die RSS Mittteilung beinhaltet Neuigkeiten von dieser Website: neue Fotos, aktualiisierte Alben, neue Kommentare. Benutze einen RSS feed reader.';
+$lang['Maximum height of the pictures'] = 'Maximale Foto Höhe';
+$lang['Maximum width of the pictures'] = 'Maximale Foto Breite';
+$lang['display all elements in all sub-albums'] = 'zeige alle Fotos in allen Unteralben';
+$lang['The number of images per row must be a not null scalar'] = 'Die Anzahl Fotos per Reihe darf nicht Null sein';
+$lang['Number of images per row'] = 'Anzahl Fotos per Reihe';
+$lang['Elements posted within the last %d day.'] = 'Fotos hochgeladen den letzen %d Tag.';
+$lang['Elements posted within the last %d days.'] = 'Fotos hochgeladen die letzen %d Tage.';
+$lang['picture'] = 'Foto';
+$lang['Click on the picture to see it in high definition'] = 'Klicke auf das Foto um es in High Definition zu sehen';
+
+// admin
+$lang['Edit all picture informations'] = 'Bearbeite Foto Information';
+$lang['Include display of recent pictures group by dates'] = 'Zeige die letzten Bilder gruppiert nach Tagen';
+$lang['Link all album elements to a new album'] = 'Verbinde alle Album Elemente mit einem neuen Album';
+$lang['Link all album elements to some existing albums'] = 'Verbinde alle Album Elemente mit einem existierenden Album';
+$lang['Manage image ranks'] = 'Verwalte Foto Rangordnung';
+$lang['New elements added'] = 'Neue Fotos hinzugefügt';
+$lang['New elements were added'] = 'Neue Fotos wurden hinzugefügt';
+$lang['No element in this album'] = 'Keine Fotos in diesem Album';
+$lang['Select at least one picture'] = 'Wähle mindestens ein Fhoto';
+$lang['Update images informations'] = 'Aktualisiere Foto Information';
+$lang['Use the default image sort order (defined in the configuration file)'] = 'Nutze die Standard-Sortierreihenfolge (Definiert in der Konfigurationsdatei)';
+$lang['add new elements to caddie'] = 'füge neue Fotos zum Sammelordner hinzu';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'zeige alle Informationen (hinzugefügte Alben und Fotos, gelöschte Alben und Fotos)';
+$lang['elements added in the database'] = 'der Datenbank hinzugefügte Fotos';
+$lang['elements deleted in the database'] = 'von der Datenbank gelöschte Fotos';
+$lang['elements per page'] = 'Fotos je Seite';
+$lang['elements updated in the database'] = 'in der Datenbank aktualisierte Fotos';
+$lang['even already synchronized elements'] = 'sogar bereits synchronisierte Fotos';
+$lang['first element added on %s'] = 'erstes Foto am %s hinzugefügt';
+$lang['images candidates for metadata synchronization'] = 'Fotos zur Metadata Synchronisation';
+$lang['jump to image'] = 'springe zu Foto';
+$lang['manage image ranks'] = 'verwalte Foto Rangordnung';
+
+
+$lang['manage album photos'] = 'verwalte Fotos im Album';
+$lang['synchronize files metadata with database elements informations'] = 'synchronisiere Datei Metadaten mit Fotos Informationen der Datenbank';
+$lang['elements informations synchronized with files metadata'] = 'Foto Informationen mit Datei Metadaten synchronisiert';
+$lang['number of miniaturized pictures'] = 'Anzahl verkleinerter Fotos';
+$lang['Picture informations updated'] = 'Foto Informationen hinzugefügt';
+$lang['Picture unreachable or no support'] = 'Foto unerreichbar oder nicht unterstützt';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'Fotos ohne Thumbnail (nur jpeg und png)';
+$lang['Random picture'] = 'Zufälliges Foto';
+
+?>