Index: extensions/Photos/language/de_DE/plugin.lang.php
===================================================================
--- extensions/Photos/language/de_DE/plugin.lang.php	(revision 8777)
+++ extensions/Photos/language/de_DE/plugin.lang.php	(revision 8782)
@@ -62,5 +62,5 @@
 
 
-$lang['manage album photos'] = 'verwalte Fotos im Album';
+$lang['manage album elements'] = 'verwalte Fotos im Album';
 $lang['synchronize files metadata with database elements informations'] = 'synchronisiere Datei Metadaten mit Fotos Informationen der Datenbank';
 $lang['elements informations synchronized with files metadata'] = 'Foto Informationen mit Datei Metadaten synchronisiert';
Index: extensions/Photos/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Photos/language/en_UK/plugin.lang.php	(revision 8777)
+++ extensions/Photos/language/en_UK/plugin.lang.php	(revision 8782)
@@ -62,5 +62,5 @@
 
 
-$lang['manage album photos'] = 'manage album elements';
+$lang['manage album elements'] = 'manage album photos';
 $lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
 $lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';
Index: extensions/Photos/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Photos/language/es_ES/plugin.lang.php	(revision 8777)
+++ extensions/Photos/language/es_ES/plugin.lang.php	(revision 8782)
@@ -62,5 +62,5 @@
 
 
-$lang['manage album photos'] = 'administrar las fotos del àlbum';
+$lang['manage album elements'] = 'administrar las fotos del àlbum';
 $lang['synchronize files metadata with database elements informations'] = 'sincronizar las informaciones de las fotos en la base de datos a partir de los méta-datos de los ficheros';
 $lang['elements informations synchronized with files metadata'] = 'Informaciones de las fotos sincronizadas con los méta-datos';
Index: extensions/Photos/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8777)
+++ extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8782)
@@ -62,5 +62,5 @@
 
 
-$lang['manage album photos'] = 'Gérer les photos de l\'album';
+$lang['manage album elements'] = 'Gérer les photos de l\'album';
 $lang['synchronize files metadata with database elements informations'] = 'Synchroniser les informations des photos de la base de données à partir des méta-données des fichiers';
 $lang['elements informations synchronized with files metadata'] = 'informations des photos synchronisées avec les méta-données';
Index: extensions/Photos/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/Photos/language/lv_LV/plugin.lang.php	(revision 8777)
+++ extensions/Photos/language/lv_LV/plugin.lang.php	(revision 8782)
@@ -62,5 +62,5 @@
 
 
-$lang['manage album photos'] = 'pārvaldīt albūmu elementus';
+$lang['manage album elements'] = 'pārvaldīt albūmu elementus';
 $lang['synchronize files metadata with database elements informations'] = 'sinhronizēt faila metadatus ar informāciju par foto datubāzē';
 $lang['elements informations synchronized with files metadata'] = 'informācija par foto sinhronizēta ar faila metadatiem';
Index: extensions/Photos/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/Photos/language/ru_RU/plugin.lang.php	(revision 8777)
+++ extensions/Photos/language/ru_RU/plugin.lang.php	(revision 8782)
@@ -62,5 +62,5 @@
 
 
-$lang['manage album photos'] = 'управлять элементами альбома';
+$lang['manage album elements'] = 'управлять элементами альбома';
 $lang['synchronize files metadata with database elements informations'] = 'синхронизируйте метаданные файлов с информацией о фотографиях базы данных';
 $lang['elements informations synchronized with files metadata'] = 'информация о фотографиях синхронизировалась с метаданными файлов';