Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 8782)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 8783)
@@ -226,5 +226,5 @@
 $lang['Lock'] = 'قفل';
 $lang['Locked'] = 'مقفول';
-$lang['manage album elements'] = 'ادارةعناصر الألبوم';
+$lang['manage album photos'] = 'ادارةعناصر الألبوم';
 $lang['manage sub-albums'] = 'صور الألبوم الفرعي';
 $lang['Manage'] = 'إدارة';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 8782)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 8783)
@@ -227,5 +227,5 @@
 $lang['Lock'] = 'Bloqueja';
 $lang['Locked'] = 'Bloquejat';
-$lang['manage album elements'] = 'gestiona elements de categoria';
+$lang['manage album photos'] = 'gestiona elements de categoria';
 $lang['manage sub-albums'] = 'gestiona sub-categories';
 $lang['Manage'] = 'Gestiona';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 8782)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 8783)
@@ -228,5 +228,5 @@
 $lang['Lock'] = 'Zamknout';
 $lang['Locked'] = 'Uzamknuto';
-$lang['manage album elements'] = 'Spravuj fotky alba';
+$lang['manage album photos'] = 'Spravuj fotky alba';
 $lang['manage sub-albums'] = 'Správa sub-alb';
 $lang['Manage'] = 'Správa';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 8782)
+++ /trunk/language/da_DK/admin.lang.php	(revision 8783)
@@ -227,5 +227,5 @@
 $lang['Lock'] = 'Lås';
 $lang['Locked'] = 'Låst';
-$lang['manage album elements']     =     'Administrer Kategori elementer';
+$lang['manage album photos']     =     'Administrer Kategori elementer';
 $lang['manage sub-albums']     =     'Administrer sub-kategorier';
 $lang['Manage']     =     'Administrer';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 8782)
+++ /trunk/language/de_DE/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = 'Schließen';
 $lang['Locked'] = 'Geschlossen';
-$lang['manage album elements'] = 'Verwalten Sie die Elemente des Albums';
+$lang['manage album photos'] = 'Verwalten Sie die Elemente des Albums';
 $lang['manage sub-albums'] = 'Verwalten Sie die Sub-Alben';
 $lang['Manage'] = 'Verwalten';
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 8782)
+++ /trunk/language/es_ES/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = 'Cerrar';
 $lang['Locked'] = 'Cerrado';
-$lang['manage album elements'] = 'Administrar los élémentos del àlbum';
+$lang['manage album photos'] = 'Administrar los élémentos del àlbum';
 $lang['manage sub-albums'] = 'Administrar los sub-àlbumes';
 $lang['Manage'] = 'Administrar';
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 8782)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 8783)
@@ -228,5 +228,5 @@
 $lang['Lock'] = "قفل کردن";
 $lang['Locked'] = "قفل";
-$lang['manage album elements'] = "مدیریت اشیا دسته";
+$lang['manage album photos'] = "مدیریت اشیا دسته";
 $lang['manage sub-albums'] = "مدیریت زیردسته‌ها";
 $lang['Manage'] = "مدیریت";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 8782)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 8783)
@@ -228,5 +228,5 @@
 $lang['Lock'] = "Verrouiller";
 $lang['Locked'] = "Verrouillées";
-$lang['manage album elements'] = "Gérer les éléments de la catégorie";
+$lang['manage album photos'] = "Gérer les éléments de la catégorie";
 $lang['manage sub-albums'] = "Gérer les sous-catégories";
 $lang['Manage'] = "Gérer";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 8782)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 8783)
@@ -228,5 +228,5 @@
 $lang['Lock'] = "Verrouiller";
 $lang['Locked'] = "Verrouillées";
-$lang['manage album elements'] = 'Gérer les éléments de l\'album';
+$lang['manage album photos'] = 'Gérer les éléments de l\'album';
 $lang['manage sub-albums'] = 'Gérer les sous-albums';
 $lang['Manage'] = "Gérer";
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 8782)
+++ /trunk/language/he_IL/admin.lang.php	(revision 8783)
@@ -226,5 +226,5 @@
 $lang['Lock'] = 'נעל';
 $lang['Locked'] = 'נעול';
-$lang['manage album elements'] = 'ניהול פריטים בקטגוריה';
+$lang['manage album photos'] = 'ניהול פריטים בקטגוריה';
 $lang['manage sub-albums'] = 'ניהול קטגוריות משנה';
 $lang['Manage'] = 'ניהול';
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 8782)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 8783)
@@ -224,5 +224,5 @@
 $lang['Lock'] = 'Zaključaj';
 $lang['Locked'] = 'Zaključanp';
-$lang['manage album elements'] = 'upravljanje stavkama skupine';
+$lang['manage album photos'] = 'upravljanje stavkama skupine';
 $lang['manage sub-albums'] = 'upravljanje podskupinama';
 $lang['Manage'] = 'Uprava';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 8782)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = 'Lezárás';
 $lang['Locked'] = 'Lezárt';
-$lang['manage album elements'] = 'Album elemeinek kezelése';
+$lang['manage album photos'] = 'Album elemeinek kezelése';
 $lang['manage sub-albums'] = 'Belső albumok kezelése';
 $lang['Manage'] = 'Kezelés';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 8782)
+++ /trunk/language/it_IT/admin.lang.php	(revision 8783)
@@ -228,5 +228,5 @@
 $lang['Lock'] = 'Bloccare';
 $lang['Locked'] = 'Bloccate';
-$lang['manage album elements'] = 'Gestire le foto dell\'album';
+$lang['manage album photos'] = 'Gestire le foto dell\'album';
 $lang['manage sub-albums'] = 'Gestire i sub album';
 $lang['Manage'] = 'Gestire';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 8782)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 8783)
@@ -226,5 +226,5 @@
 $lang['Lock'] = 'ロック';
 $lang['Locked'] = 'ロック済み';
-$lang['manage album elements'] = 'カテゴリエレメントを管理する';
+$lang['manage album photos'] = 'カテゴリエレメントを管理する';
 $lang['manage sub-albums'] = 'サブカテゴリを管理する';
 $lang['Manage'] = '管理';
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 8782)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 8783)
@@ -224,5 +224,5 @@
 $lang['Lock'] = 'ბლოკირება';
 $lang['Locked'] = 'დაბლოკილია';
-$lang['manage album elements'] = 'კატეგორიის ფოტოების მართვა';
+$lang['manage album photos'] = 'კატეგორიის ფოტოების მართვა';
 $lang['manage sub-albums'] = 'ქვეკატეგორიების მართვა';
 $lang['Manage'] = 'მართვა';
Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 8782)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 8783)
@@ -223,5 +223,5 @@
 $lang['Lock'] = 'Bloķēt';
 $lang['Locked'] = 'Bloķēts';
-$lang['manage album elements'] = 'Pārvaldīt albūma attēlus';
+$lang['manage album photos'] = 'Pārvaldīt albūma attēlus';
 $lang['manage sub-albums'] = 'Pārvaldīt apakšalbūmus';
 $lang['Manage'] = 'Pārvaldīt';
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 8782)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = 'Gesloten';
 $lang['Locked'] = 'Gesloten categorie';
-$lang['manage album elements'] = 'Beheer categorie-afbeeldingen';
+$lang['manage album photos'] = 'Beheer categorie-afbeeldingen';
 $lang['manage sub-albums'] = 'Beheer sub-categorie';
 $lang['Manage'] = 'Beheer';
Index: /trunk/language/no_NO/admin.lang.php
===================================================================
--- /trunk/language/no_NO/admin.lang.php	(revision 8782)
+++ /trunk/language/no_NO/admin.lang.php	(revision 8783)
@@ -224,5 +224,5 @@
 $lang['Lock'] = 'Lås';
 $lang['Locked'] = 'Låst';
-$lang['manage album elements'] = 'behandle album elementer';
+$lang['manage album photos'] = 'behandle album elementer';
 $lang['manage sub-albums'] = 'behandle grunn-album';
 $lang['Manage'] = 'Behandle';
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 8782)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 8783)
@@ -224,5 +224,5 @@
 $lang['Lock'] = 'Zablokuj';
 $lang['Locked'] = 'Zablokowane';
-$lang['manage album elements'] = 'Zarządzaj zdjęciami w albumie';
+$lang['manage album photos'] = 'Zarządzaj zdjęciami w albumie';
 $lang['manage sub-albums'] = 'Zarządzaj pod-albumami';
 $lang['Manage'] = 'Zarządzaj';
Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 8782)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 8783)
@@ -226,5 +226,5 @@
 $lang['Lock'] = 'Trancar (Lock)';
 $lang['Locked'] = 'Trancado(a) (Locked)';
-$lang['manage album elements'] = 'gerenciar os itens da categoria';
+$lang['manage album photos'] = 'gerenciar os itens da categoria';
 $lang['manage sub-albums'] = 'gerenciar subcategorias';
 $lang['Manage'] = 'Gerenciar';
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 8782)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 8783)
@@ -227,5 +227,5 @@
 $lang['Lock'] = 'Trancar (Lock)';
 $lang['Locked'] = 'Trancado(a) (Locked)';
-$lang['manage album elements'] = 'gerenciar os elementos da categoria';
+$lang['manage album photos'] = 'gerenciar os elementos da categoria';
 $lang['manage sub-albums'] = 'gerenciar subcategorias';
 $lang['Manage'] = 'Gerenciar';
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 8782)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 8783)
@@ -223,5 +223,5 @@
 $lang['Lock'] = 'Блокировка';
 $lang['Locked'] = 'Заблокировано';
-$lang['manage album elements'] = 'Управление фотографиями альбома';
+$lang['manage album photos'] = 'Управление фотографиями альбома';
 $lang['manage sub-albums'] = 'Управление вложенными альбомами';
 $lang['Manage'] = 'Управление';
Index: /trunk/language/sh_RS/admin.lang.php
===================================================================
--- /trunk/language/sh_RS/admin.lang.php	(revision 8782)
+++ /trunk/language/sh_RS/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = 'Zaključaj';
 $lang['Locked'] = 'Zaključano';
-$lang['manage album elements'] = 'upravljanje elementima kategorije';
+$lang['manage album photos'] = 'upravljanje elementima kategorije';
 $lang['manage sub-albums'] = 'upravljanje podkategorijama';
 $lang['Manage'] = 'Upravljaj';
Index: /trunk/language/sk_SK/admin.lang.php
===================================================================
--- /trunk/language/sk_SK/admin.lang.php	(revision 8782)
+++ /trunk/language/sk_SK/admin.lang.php	(revision 8783)
@@ -226,5 +226,5 @@
 $lang['Lock'] = 'Zamknúť';
 $lang['Locked'] = 'Uzamknuté';
-$lang['manage album elements'] = 'Spravovať položky albumu';
+$lang['manage album photos'] = 'Spravovať položky albumu';
 $lang['manage sub-albums'] = 'Spravovať položky podalbumov';
 $lang['Manage'] = 'Správa';
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 8782)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = 'Закључај';
 $lang['Locked'] = 'Закључано';
-$lang['manage album elements'] = 'управљање елементима категорије';
+$lang['manage album photos'] = 'управљање елементима категорије';
 $lang['manage sub-albums'] = 'управљање подкатегоријама';
 $lang['Manage'] = 'Управљај';
Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 8782)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 8783)
@@ -226,5 +226,5 @@
 $lang['Lock'] = 'Lås';
 $lang['Locked'] = 'Låst';
-$lang['manage album elements'] = 'Hantera kategori element';
+$lang['manage album photos'] = 'Hantera kategori element';
 $lang['manage sub-albums'] = 'Hantera underkategorier';
 $lang['Manage'] = 'Hantera';
Index: /trunk/language/tr_TR/admin.lang.php
===================================================================
--- /trunk/language/tr_TR/admin.lang.php	(revision 8782)
+++ /trunk/language/tr_TR/admin.lang.php	(revision 8783)
@@ -223,5 +223,5 @@
 $lang['Lock'] = 'Kilit';
 $lang['Locked'] = 'Kilitlendi';
-$lang['manage album elements'] = 'albüm resimlerini yönet';
+$lang['manage album photos'] = 'albüm resimlerini yönet';
 $lang['manage sub-albums'] = 'yönet alt-albümler';
 $lang['Manage'] = 'Yönet';
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 8782)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = 'Khoá';
 $lang['Locked'] = 'Đã khoá';
-$lang['manage album elements'] = 'quản lý các thành phần đề mục';
+$lang['manage album photos'] = 'quản lý các thành phần đề mục';
 $lang['manage sub-albums'] = 'quản lý các đề mục con';
 $lang['Manage'] = 'Quản lý';
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 8782)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 8783)
@@ -225,5 +225,5 @@
 $lang['Lock'] = '上锁';
 $lang['Locked'] = '锁定';
-$lang['manage album elements'] = '管理相册里的相片';
+$lang['manage album photos'] = '管理相册里的相片';
 $lang['manage sub-albums'] = '管理子相册';
 $lang['Manage'] = '管理';
Index: /trunk/tools/photos.lang.php
===================================================================
--- /trunk/tools/photos.lang.php	(revision 8782)
+++ /trunk/tools/photos.lang.php	(revision 8783)
@@ -62,5 +62,5 @@
 
 
-$lang['manage album photos'] = 'manage album elements';
+$lang['manage album elements'] = 'manage album photos';
 $lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
 $lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';