Index: /extensions/Piwecard/language/de_DE/description.txt
===================================================================
--- /extensions/Piwecard/language/de_DE/description.txt	(revision 8786)
+++ /extensions/Piwecard/language/de_DE/description.txt	(revision 8786)
@@ -0,0 +1,1 @@
+﻿Generiert elektronische Karten
Index: /extensions/Piwecard/language/de_DE/index.php
===================================================================
--- /extensions/Piwecard/language/de_DE/index.php	(revision 8786)
+++ /extensions/Piwecard/language/de_DE/index.php	(revision 8786)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Piwecard/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/de_DE/plugin.lang.php	(revision 8786)
+++ /extensions/Piwecard/language/de_DE/plugin.lang.php	(revision 8786)
@@ -0,0 +1,105 @@
+<?php
+/*
+ * Plugin Name: Piwecard
+ * File :  plugin.lang.php
+* Lang : FR 
+ */
+
+
+$lang['ecard']							= 'Piwecard';
+$lang['ecard_infos']	 				= 'Detail der elektronischen Karte';
+$lang['ecard_from']						= 'von';
+$lang['ecard_to']						= 'An';
+
+
+
+// ecart.tpl
+$lang['ecard_send']						= 'Senden';
+$lang['ecard_cancel']					= 'Abbrechen';
+$lang['ecard_activ_choice']				= 'Gültigkeit';
+$lang['ecard_send_method']				= 'Versands Art';
+$lang['ecard_maillink']					= 'Mail mit einem Link';
+$lang['ecard_mailhtml']					= 'Mail mit Foto';
+$lang['ecard_send_copy']				= 'Senden Sie mir eine Kopie';
+
+
+$lang['ecard_send_stage1']				= 'Schritt 1 : Schreiben Sie eine Nachricht';
+$lang['ecard_send_stage2']				= 'Schritt 2 : Bearbeiten Sie die Information';
+$lang['ecard_send_stage3']				= 'Schritt 3 : Optionen';
+$lang['ecard_send_stage4']				= 'Schritt 4 : Senden Sie die E-Karte !';
+
+$lang['ecard_send_title']				= 'Titel der Karte ';
+$lang['ecard_send_message']				= 'Mitteilung der Karte';
+$lang['ecard_send_exp']					= 'Absender';
+$lang['ecard_send_dest']				= 'Empfänger';
+$lang['ecard_send_link1']				= 'So senden Sie eine E-Karte';
+$lang['ecard_send_link2']				= 'Klicken Sie hier';
+$lang['ecard_send_link3']				= 'Erstellen Sie Ihre persönliche E-Karte';
+
+$lang['ecard_send_exp_name']			= 'Name des Absenders';
+$lang['ecard_send_exp_mail']			= 'E-Mail des Absenders';
+$lang['ecard_send_dest_name']			= 'Name des Empfängers';
+$lang['ecard_send_dest_mail']			= 'E-Mail des Empfängers (dest@dest.com)';
+
+
+// publish.tpl
+$lang['ecard_invalid_ecard']			= 'Die E-Karte ist ungültig oder abgelaufen';
+$lang['ecard_publish_bottom']			= 'Diese Karte wurde Ihnen gesendet von';
+
+// Admin
+$lang['ecard_admin_saveOK']				= 'Einstellungen wurden gespeichert';
+
+$lang['ecard_management']				= 'Management der Piwecard';
+$lang['ecard_manage']					= 'Einstellung der aktiven Funktionen auf der Galerie';
+$lang['ecard_active_user_cat']			= 'Aktiviert die Funktion nur auf den Fotos, welche dem Benutzer gehören (Benutzer oder Gruppe)';
+$lang['ecard_active_spec_cats']			= 'Aktiviert die Funktion auf den ausgewählten Kategorien';
+$lang['ecard_active_all_cats']			= 'Aktiviert die Funktion auf alle Kategorien';
+$lang['ecard_recursiv']					= 'Aktiviert die Rekursion auf alle Unterkategorien';
+$lang['ecard_cat']						= 'Wählen Sie eine Kategorie (nur wenn es nicht auf allen Kategorien aktiviert wurde)';
+$lang['ecard_authorized_group']			= 'Einstellung der Gruppen'; 
+$lang['ecard_authorized_group_info']	= 'Keine Auswahl ==> ist für alle verfügbar'; 
+$lang['ecard_manage']					= 'Auswahl';
+
+$lang['ecard_params']					= 'Einstellungen';
+$lang['ecard_config']					= 'Basiskonfiguration';
+
+$lang['ecard_activ_nb']					= 'Anzahl der Tage (Standard), in denen die Karte Gültig ist.';
+$lang['ecard_days']						= 'Tage';
+$lang['ecard_nolimit']					= 'Unlimitiert';
+
+$lang['ecard_nomodif_expmail']			= 'Verbieten Sie die Änderung der E-Mail des Absenders';
+$lang['ecard_send_HTML']				= 'Autorisieren Sie den Versand der Mail mit Foto (sonst nur den Link senden)';
+$lang['ecard_show_infos']				= 'Die Informationen {Name und Autor} auf dem Foto zeigen';
+$lang['ecard_admin_nb_page']			= 'Anzahl der Karten pro Seite auf der Liste';
+$lang['ecard_mail_config']				= 'Einstellungen der versendeten Mails';
+$lang['ecard_subject_link']				= 'Betreff der gesendeten E-Mail';
+$lang['ecard_message_link']				= 'Gesendete Mitteilung (Mail nur mit den Links)';
+$lang['ecard_message_html']				= 'Gesendete Mitteilung (Mail HTML mit Foto)';
+$lang['ecard_parameters']			= 
+'<b><u>Einstellungen </u></b>:<br> 
+<b>%votrenom</b>    ==> Name des Absenders<br>
+<b>%votremail</b>   ==> Mail des Absenders<br>
+<b>%sonnom</b>      ==> Name des Empfängers<br>
+<b>%sonmail</b>     ==> Mail des Empfängers<br>
+<b>%site</b>        ==> Name der Webseite (Einstellung config Piwigo)<br>
+<b>%linksite</b>    ==> Link zur Webseite (Einstellung config Piwigo)<br>
+<b>%chemin</b>      ==> Link zur Seite Piwecard<br>
+<b>%sujet</b>       ==> über die Karte (vom Benutzer einzugeben)<br>
+<b>%message</b>     ==> Mitteilung der Karte (vom Benutzer einzugeben)<br>
+<b>%imgurl</b>      ==> Link zum Bild<br>
+<b>%imginfos</b>    ==> Informationen über das Bild (Name und Autor)';
+
+$lang['ecard_consult']					= 'Konsultation';
+$lang['ecard_consult_detail']			= 'Konsultation der präsentierten E-Karte ';
+$lang['ecard_list']						= 'Liste der versendeten Karten';
+$lang['ecard_delete_all']				= 'Alle abgelaufenen Karten löschen?';
+$lang['valid']							= 'Gültig(e)';
+$lang['total']							= 'Total';
+$lang['ecard_force_delete']				= 'Das Löschen der Karte erzwingen?';
+$lang['ecard_delete']					= 'Die Karte löschen?';
+
+$lang['ecard_admin_submit']				= 'Speichern';
+
+
+
+?>
Index: /extensions/Piwecard/language/it_IT/description.txt
===================================================================
--- /extensions/Piwecard/language/it_IT/description.txt	(revision 8786)
+++ /extensions/Piwecard/language/it_IT/description.txt	(revision 8786)
@@ -0,0 +1,1 @@
+﻿Generazione della carta virtuale
Index: /extensions/Piwecard/language/it_IT/index.php
===================================================================
--- /extensions/Piwecard/language/it_IT/index.php	(revision 8786)
+++ /extensions/Piwecard/language/it_IT/index.php	(revision 8786)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Piwecard/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/it_IT/plugin.lang.php	(revision 8786)
+++ /extensions/Piwecard/language/it_IT/plugin.lang.php	(revision 8786)
@@ -0,0 +1,105 @@
+<?php
+/*
+ * Plugin Name: Piwecard
+ * File :  plugin.lang.php
+* Lang : FR 
+ */
+
+
+$lang['ecard']							= 'Piwecard';
+$lang['ecard_infos']	 				= 'Dettaglio della carta virtuale';
+$lang['ecard_from']						= 'Da';
+$lang['ecard_to']						= 'A';
+
+
+
+// ecart.tpl
+$lang['ecard_send']						= 'Mandare';
+$lang['ecard_cancel']					= 'Annullare';
+$lang['ecard_activ_choice']				= 'Tempo di validità';
+$lang['ecard_send_method']				= 'Metodo d\'invio';
+$lang['ecard_maillink']					= 'Mail con link';
+$lang['ecard_mailhtml']					= 'Mail completa con foto';
+$lang['ecard_send_copy']				= 'Ricevere una copia';
+
+
+$lang['ecard_send_stage1']				= 'Passo n°1 : Scrivere il messaggio';
+$lang['ecard_send_stage2']				= 'Passo n°2 : Modificare le informazioni';
+$lang['ecard_send_stage3']				= 'Passo n°3 : Opzioni';
+$lang['ecard_send_stage4']				= 'Passo n°4 : Inviare la carta !';
+
+$lang['ecard_send_title']				= 'Titolo della carta ';
+$lang['ecard_send_message']				= 'Messaggio della carta';
+$lang['ecard_send_exp']					= 'Mittente';
+$lang['ecard_send_dest']				= 'Destinatario';
+$lang['ecard_send_link1']				= 'Por inviare una carta virtuale';
+$lang['ecard_send_link2']				= 'cliccare qui';
+$lang['ecard_send_link3']				= 'Creazione della vostra eCard personalizzata';
+
+$lang['ecard_send_exp_name']			= 'Nome del mittente';
+$lang['ecard_send_exp_mail']			= 'Mail del mittente';
+$lang['ecard_send_dest_name']			= 'Nome del destinatario';
+$lang['ecard_send_dest_mail']			= 'Mail del destinatario (dest@dest.com)';
+
+
+// publish.tpl
+$lang['ecard_invalid_ecard']			= 'La Carta Virtuale è invalida o scaduta';
+$lang['ecard_publish_bottom']			= 'Questa carta è stata inviata da';
+
+// Admin
+$lang['ecard_admin_saveOK']				= 'Configurazione salvata';
+
+$lang['ecard_management']				= 'Gestione Piwecard';
+$lang['ecard_manage']					= 'Impostazioni delle funzioni attive sulla galleria';
+$lang['ecard_active_user_cat']			= 'Attivare la funzione unicamente sulle foto appartenenti all\'utente (utente oppure gruppo)';
+$lang['ecard_active_spec_cats']			= 'Attivare la funzione sulle categorie selezionate';
+$lang['ecard_active_all_cats']			= 'Attivare la funzione su tutte le categorie';
+$lang['ecard_recursiv']					= 'Attivare la ricorsiva su tutte le sottocategorie';
+$lang['ecard_cat']						= 'Scelta delle categorie (soltanto se non è attivo su tutte le categorie)';
+$lang['ecard_authorized_group']			= 'Impostazione dei gruppi'; 
+$lang['ecard_authorized_group_info']	= 'Nessuna scelta ==> attivo per tutti'; 
+$lang['ecard_manage']					= 'Scelta';
+
+$lang['ecard_params']					= 'Impostazione';
+$lang['ecard_config']					= 'Configurazione di base';
+
+$lang['ecard_activ_nb']					= 'Numero di giorni (di default) della  validità della carta';
+$lang['ecard_days']						= 'giorni';
+$lang['ecard_nolimit']					= 'Illimitata';
+
+$lang['ecard_nomodif_expmail']			= 'Vietare la modifica della mail del mittente';
+$lang['ecard_send_HTML']				= 'Autorizzare l\'invio della mail con foto(sennò solo con link)';
+$lang['ecard_show_infos']				= 'mostrare le informazioni {nome e autore} sulla foto';
+$lang['ecard_admin_nb_page']			= 'Numero delle carte mostrate per pagina sulla lista';
+$lang['ecard_mail_config']				= 'Impostazione delle mail inviate';
+$lang['ecard_subject_link']				= 'Soggetto della mail inviata';
+$lang['ecard_message_link']				= 'Messaggio inviato (mail con solamente il link)';
+$lang['ecard_message_html']				= 'Message inviato (mail HTML con foto)';
+$lang['ecard_parameters']			= 
+'<b><u>Impostazioni </u></b>:<br> 
+<b>%votrenom</b>    ==> Nome del mittente<br>
+<b>%votremail</b>   ==> Mail del mittente<br>
+<b>%sonnom</b>      ==> Nome del destinatario<br>
+<b>%sonmail</b>     ==> Mail del destinatario<br>
+<b>%site</b>        ==> Nome del sito (impostazione config piwigo)<br>
+<b>%linksite</b>    ==> Link del sito (impostazione config piwigo)<br>
+<b>%chemin</b>      ==> Link della pagina Piwecard<br>
+<b>%sujet</b>       ==> soggetto della carta (solo per l\'utente)<br>
+<b>%message</b>     ==> Messaggio della carta (solo per l\'utente)<br>
+<b>%imgurl</b>      ==> Link dell\'immagine<br>
+<b>%imginfos</b>    ==> Informazioni dell\'immagine (nome e autore)';
+
+$lang['ecard_consult']					= 'Consultazione';
+$lang['ecard_consult_detail']			= 'Consultazione delle eCard presenti';
+$lang['ecard_list']						= 'Liste delle Carte Virtuali inviate';
+$lang['ecard_delete_all']				= 'Eliminare tutte le carte scadute?';
+$lang['valid']							= 'Valido/i';
+$lang['total']							= 'Totale';
+$lang['ecard_force_delete']				= 'Eliminazione (forzata) della carta?';
+$lang['ecard_delete']					= 'Eliminare la carta?';
+
+$lang['ecard_admin_submit']				= 'Salvare';
+
+
+
+?>