Index: extensions/sobre/branches/1.4/admin/admin.inc.php
===================================================================
--- extensions/sobre/branches/1.4/admin/admin.inc.php	(revision 8798)
+++ extensions/sobre/branches/1.4/admin/admin.inc.php	(revision 8798)
@@ -0,0 +1,48 @@
+<?php
+
+/* Lecture du fichier de langue pour le thème */
+load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');
+
+$options = array(
+  'home',
+  'categories',
+  'picture',
+  'other',
+  'nbItemsMB',
+  'picture_width',
+  'picture_height',
+  'LMT-licence',
+  'troncate_picture_name',
+  'troncate_name_longer',
+  'StartOrEnd',
+  'Display_light_categories',
+  'footer_height'
+);
+
+if (isset($_POST['submit']))
+{
+  foreach ($options as $option)
+  {
+    $_POST['sbre'][$option] = empty($_POST['sbre'][$option]) ? false : true;
+  }
+
+  $query = '
+UPDATE '.CONFIG_TABLE.'
+SET value = "'.addslashes(serialize($_POST['sbre'])).'"
+WHERE param = "Sobre"
+;';
+  pwg_query($query);
+
+  array_push($page['infos'], l10n('Information data registered in database'));
+
+  load_conf_from_db();
+}
+
+$template->set_filenames(array(
+    'theme_admin_content' => dirname(__FILE__) . '/admin.tpl'));
+
+$template->assign('sbre', unserialize($conf['Sobre']));
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
+
+?>
Index: extensions/sobre/branches/1.4/admin/admin.inc.php.bak
===================================================================
--- extensions/sobre/branches/1.4/admin/admin.inc.php.bak	(revision 8663)
+++ 	(revision )
@@ -1,47 +1,0 @@
-<?php
-
-/* Lecture du fichier de langue pour le thème */
-load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');
-
-$options = array(
-  'home',
-  'categories',
-  'picture',
-  'other',
-  'nbItemsMB',
-  'picture_width',
-  'picture_height',
-  'LMT-licence',
-  'troncate_picture_name',
-  'troncate_name_longer',
-  'StartOrEnd',
-  'Display_light_categories'
-);
-
-if (isset($_POST['submit']))
-{
-  foreach ($options as $option)
-  {
-    $_POST['sbre'][$option] = empty($_POST['sbre'][$option]) ? false : true;
-  }
-
-  $query = '
-UPDATE '.CONFIG_TABLE.'
-SET value = "'.addslashes(serialize($_POST['sbre'])).'"
-WHERE param = "Sobre"
-;';
-  pwg_query($query);
-
-  array_push($page['infos'], l10n('Information data registered in database'));
-
-  load_conf_from_db();
-}
-
-$template->set_filenames(array(
-    'theme_admin_content' => dirname(__FILE__) . '/admin.tpl'));
-
-$template->assign('sbre', unserialize($conf['Sobre']));
-
-$template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
-
-?>
Index: extensions/sobre/branches/1.4/admin/admin.tpl
===================================================================
--- extensions/sobre/branches/1.4/admin/admin.tpl	(revision 8663)
+++ extensions/sobre/branches/1.4/admin/admin.tpl	(revision 8798)
@@ -98,4 +98,12 @@
               <input type="checkbox" name="sbre[Display_light_categories]" value="true" {if $sbre.Display_light_categories}checked="checked"{/if}>
             </li>
+            <li>
+              <table id="tips2">
+                <tr id="l5">
+                  <td class="footer_height">{'Footer height'|@translate}</td>
+                  <td class="footer_height_value"><input type="text" value="96" id="footer_height_value" name="sbre[footer_height]" size="1" maxlength="3" /></td>
+                </tr>
+              </table>
+            </li>
         </ul>
       </fieldset>
Index: extensions/sobre/branches/1.4/template/header.tpl
===================================================================
--- extensions/sobre/branches/1.4/template/header.tpl	(revision 8663)
+++ extensions/sobre/branches/1.4/template/header.tpl	(revision 8798)
@@ -23,5 +23,5 @@
 <title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>{/if}
 <link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}/themes/sobre/images/favicon.ico">
-<link rel="icon" href="{$ROOT_URL}/themes/sobre/images/favicon.gif" type="image/gif" />
+<link rel="icon" type="image/gif" href="{$ROOT_URL}/themes/sobre/images/favicon.gif">
 
 <link rel="alternate" type="application/rss+xml" title="{'Galerie RSS feed'|@translate}" href="./notification.php">
Index: extensions/sobre/branches/1.4/theme.css
===================================================================
--- extensions/sobre/branches/1.4/theme.css	(revision 8663)
+++ extensions/sobre/branches/1.4/theme.css	(revision 8798)
@@ -57,5 +57,13 @@
 }
 #copyright {
-	color: black;
+    color: #FFFFFF;
+    margin-left: 0;
+    margin-right: 0;
+    margin-top: -92px;
+    min-width: 980px;
+    padding-top: 0;
+    position: absolute;
+    top: 100%;
+    width: 96%;
 }
 #copyright a {